<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  
  <link rel="shortcut icon" href="../img/favicon.ico">
  <title>Giftcards - hardtofind</title>
  <link href='https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" href="../css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../css/theme_extra.css" type="text/css" />
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/github.min.css">
  
  <script>
    // Current page data
    var mkdocs_page_name = "Giftcards";
    var mkdocs_page_input_path = "giftcards.md";
    var mkdocs_page_url = null;
  </script>
  
  <script src="../js/jquery-2.1.1.min.js" defer></script>
  <script src="../js/modernizr-2.8.3.min.js" defer></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
  
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
      <div class="wy-side-nav-search">
        <a href=".." class="icon icon-home"> hardtofind</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
	<ul class="current">
	  
          
            <li class="toctree-l1">
		
    <a class="" href="../introduction/">Introduction</a>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="../authentication/">Authentication</a>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="../general/">General Usage</a>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="../batch/">Batch Operations</a>
	    </li>
          
            <li class="toctree-l1">
		
    <a class="" href="../order-management/">Order Management</a>
	    </li>
          
            <li class="toctree-l1 current">
		
    <a class="current" href="./">Giftcards</a>
    <ul class="subnav">
            
    <li class="toctree-l2"><a href="#giftcard-management">Giftcard Management</a></li>
    
        <ul>
        
            <li><a class="toctree-l3" href="#post-gift_card">POST /gift_card</a></li>
        
            <li><a class="toctree-l3" href="#get-gift_cardcode">GET /gift_card/&lt;code&gt;</a></li>
        
            <li><a class="toctree-l3" href="#post-gift_cardvoid">POST /gift_card/void</a></li>
        
        </ul>
    

    </ul>
	    </li>
          
        </ul>
      </div>
      &nbsp;
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="..">hardtofind</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="..">Docs</a> &raquo;</li>
    
      
    
    <li>Giftcards</li>
    <li class="wy-breadcrumbs-aside">
      
    </li>
  </ul>
  <hr/>
</div>
          <div role="main">
            <div class="section">
              
                <h1 id="giftcard-management">Giftcard Management</h1>
<aside class="warning">
Access to the giftcard api is limited to giftcard vendors and not available in our standard seller api usage.
</aside>

<h2 id="post-gift_card">POST /gift_card</h2>
<p>Create a new giftcard.</p>
<p>Required params are:</p>
<ul>
<li>value (Int: Initial amount deposited onto giftcard, between 10-1000)</li>
<li>transaction_id (String: Your internal reference)</li>
</ul>
<pre><code class="json">{
  &quot;value&quot;: &lt;value_amount&gt;,
  &quot;transaction_id&quot;: &quot;&lt;transaction_id&gt;&quot;
}
</code></pre>

<p>A successful request returns a 201 and the giftcard object.</p>
<p>Example return structure:</p>
<pre><code class="json">{
  &quot;transaction_id&quot;: &quot;&lt;transaction_id&gt;&quot;,
  &quot;giftcard&quot; : {
    &quot;status&quot;:&quot;NOT REDEEMED YET&quot;,
    &quot;code&quot;:&quot;HTF-2KQX-G530&quot;,
    &quot;expiry_date&quot;:&quot;2019-01-24T00:34:20+0000&quot;,
    &quot;created_date&quot;:&quot;2018-01-24T00:34:20+0000&quot;,
    &quot;description&quot;:&quot;Generated by: &lt;seller_name, ref: &lt;transaction_id&gt;&quot;
  }
}
</code></pre>

<h2 id="get-gift_cardcode">GET /gift_card/&lt;code&gt;</h2>
<p>Check the balance of a previously created giftcard.</p>
<p>A successful request returns a 200 and the giftcard object.</p>
<p>Example return structure:</p>
<pre><code class="json">{
 &quot;giftcard&quot;: {
  &quot;status&quot;:&quot;NOT REDEEMED YET&quot;,
  &quot;code&quot;:&quot;&lt;code&gt;&quot;,
  &quot;expiry_date&quot;:&quot;2019-01-24T00:34:20+0000&quot;,
  &quot;created_date&quot;:&quot;2018-01-24T00:34:20+0000&quot;,
  &quot;balance&quot;:100,
  &quot;description&quot;:&quot;Generated by: &lt;seller_name, ref: &lt;creation_transaction_id&gt;&quot;
 }
}
</code></pre>

<h2 id="post-gift_cardvoid">POST /gift_card/void</h2>
<p>Void an existing giftcard rendering it unusable.</p>
<p>Required params are:</p>
<ul>
<li>code (String: The redeemable giftcard code returned by the inital create method)</li>
</ul>
<pre><code class="json">{
  transaction_id: &quot;foobar&quot;,
  code: &quot;&lt;code&gt;&quot;
}
</code></pre>

<p>A successful request returns a 200 and the giftcard object.</p>
<p>Example return structure:</p>
<pre><code class="json">{
 &quot;transaction_id&quot;:&quot;foobar&quot;,
 &quot;giftcard&quot; : {
  &quot;status&quot;:&quot;VOIDED&quot;,
  &quot;code&quot;:&quot;HTF-2KQX-G530&quot;,
  &quot;expiry_date&quot;:&quot;2019-01-24T00:34:20+0000&quot;,
  &quot;created_date&quot;:&quot;2018-01-24T00:34:20+0000&quot;,
  &quot;balance&quot;:100,
  &quot;description&quot;:&quot;Generated by: &lt;seller_name, ref: &lt;creation_transaction_id&gt;&quot;
 }
}
</code></pre>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="../order-management/" class="btn btn-neutral" title="Order Management"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
  </div>

  Built with <a href="http://www.mkdocs.org">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" style="cursor: pointer">
    <span class="rst-current-version" data-toggle="rst-current-version">
      
      
        <span><a href="../order-management/" style="color: #fcfcfc;">&laquo; Previous</a></span>
      
      
    </span>
</div>
    <script>var base_url = '..';</script>
    <script src="../js/theme.js" defer></script>
      <script src="../search/main.js" defer></script>

</body>
</html>
